import greenfoot.Color;
import greenfoot.Greenfoot;
import packages.ui.Button;
import packages.ui.Text;
import packages.ui.UIWorld;

public class MainMenu extends UIWorld {

    static final Color BKG_COLOR = Color.DARK_GRAY;
    static final int B_WIDTH = 150, B_HEIGHT = 40;
    static final double BACK_X = 0.1, BACK_Y = 0.95;

    public MainMenu() {
        super(600, 400, 1);
        getBackground().setColor(BKG_COLOR);
        getBackground().fill();
        Greenfoot.start();

        Button b = new Button("New Game", B_WIDTH, B_HEIGHT);
        b.addClickAction(info -> Greenfoot.setWorld(Setup.getInstance()));
        add(b, 0.5, 0.6);
        
        b = new Button("Scoreboard", B_WIDTH, B_HEIGHT);
        b.addClickAction(info -> Greenfoot.setWorld(new Scoreboard()));
        add(b, 0.5, 0.71);

        b = new Button("Quit", B_WIDTH, B_HEIGHT);
        b.addClickAction(info -> Greenfoot.setWorld(new Quit()));
        add(b, 0.5, 0.82);

        add(new Text("Greenfoot Clicking Competition", 30, Color.RED), 0.5, 0.2);
        add(new Text("For the Greenfoot speedrun community", 20, Color.GRAY), 0.5, 0.3);
    }
}